<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    

    <video autoplay id="myvideo"></video>


    <script>
        window.onload = function(){
            // add constraints object
            var constraints = { video: true};
            const video = document.querySelector("video");
            // call getusermedia, then the magic
            navigator.mediaDevices.getUserMedia(constraints).then(function(mediastream){
               
                video.srcObject = mediastream;
            }).catch(function(err){
                console.log('here is an error' + err.message);
            }) 
        }
    </script>

</body>
</html>